JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Typedefs | Functions
juce_Functional.h File Reference

## Classes
struct | NullCheckedInvocation
| Some helper methods for checking a callable object before invoking with the specified arguments. More...

## Typedefs
template<typename A , typename B >
using | DisableIfSameOrDerived = std::enable_if_t<! std::is_base_of_v<A, std::remove_reference_t<B>>>
| Can be used to disable template constructors that would otherwise cause ambiguity with compiler-generated copy and move constructors.

## Functions
template<typename Object , typename OtherObject , typename Member , typename Other >
Object | withMember (Object copy, Member OtherObject::*member, Other &&value)
| Copies an object, sets one of the copy's members to the specified value, and then returns the copy.